# Varia website

## Cloning

The folder 'plugins' is linked to the Pelican project '[pelican-plugins](https://github.com/getpelican/pelican-plugins/)' repository. To clone both the varia.website and pelican-plugins repository, add the --recurse-submodules option in your git clone command:

`git clone https://git.vvvvvvaria.org/varia/varia.website.git --recurse-submodules`

## Update submodules

We are currently using two submodules:

* pelican-plugins ([https://github.com/getpelican/pelican-plugins](https://github.com/getpelican/pelican-plugins))
* plugins-custom ([https://git.vvvvvvaria.org/varia/plugins-custom](https://git.vvvvvvaria.org/varia/plugins-custom)) 

To update these submodules within your (already) cloned repository, first init the submodule, and then update it:

    cd /path/to/submodule 

    git submodule init

    git submodule update


## Posting Content
We're using a platform called pelican to generate static websites. The main way to add content to the website is by making 'posts' in the folder `content`

This can be done either locally or via the gitlab page by creating a new file.

Make sure that each article contains at least the following at the top of the document:

    Title: een nieuw initiatief
    Date: 2017-07-07 18:32
    Category: news
    slug: the name of the html page
    lang: nl or en

Articles are written in a language called markdown. [Here](https://daringfireball.net/projects/markdown/syntax) is an overview of the syntax. You can also use the online editor in gitlab to help you. 

## Editing templates
todo

## The 'theme'
todo 


