Title: Solutions and problems in Extratonality
Date: 2018-02-16
Category: event
Slug: extratonaliteit
lang: en
event_start: 2018-02-16 20:00
event_duration: 3h
featured_image: /images/Extra.jpg

Solutions and problems in Extratonality 4<br>
“Extratonality - Opening Doors Is Not Enough”

The 4th International Conference on the solutions and problems in extratonality titled “Extratonality - Opening Doors Is Not Enough” focuses on an evaluation of practices in the field of extratonality. In a time where problems are designed to be solutions, and industrialised rubbish predominates our everyday life, there is an urgent need for another extratonal conference that digs deeper in the current state of affairs of the "extra" tendencies. "Solutions and problems in extratonality" (SAPIE) is the international conference on solutions and problems in the field of extratonality for smaller and larger institutes, as well as independent composers and scholars. They will explore advanced obstacles in their daily routines with the support of custom-made instruments, obsolete writing techniques, special notation systems and alternative applications of existing technologies.

On Friday, February 16, 2018, the fourth edition will take place in Rotterdam at "varia - the center of everyday technology". SAPIE4 is about applying extratonal solutions to everyday problems and everyday solutions to extratonal problems. SAPIE4 is a must attend for those who want to know more about working strategies and cases around extratonality. After SAPIE1 in Vienna on 28th April 2017, SAPIE2 in Zagreb on 30th September 2017 and SAPIE3 in Rotterdam on the 6th February 2018 the next edition will catch up on the latest debates in the field and trigger new input for the future ongoings around extratonality. More than 250 years after its discovery and justification the field is now recognized worldwide as a significant inquiry in its discipline, therefore this edition consists of several different tracks and presentations.

The approximately 300 SAPIE visitors rated the conference with a 9.8 and more than 98% of the visitors recommends the conference to others or would like to come back in the next edition.

This event is made possible by the kind support of the Institute of Extratonal Composition, WORM pirate bay, varia and nothing more.

Food, drinks and entrance are available on donation!

Program:<br>
19:30 Registration, meet and greet & welcome drinks <br>
20:00 Official Opening: Welcome by Danny van der Kleij (NL, Chairman varia - center of everyday technology / ArtEZ hogeschool voor de kunsten) <br>
20:05 Introduction by the Conference Chairs; Niek Hilkmann (NL, varia - center of everyday technology / Institute of Extratonal Composition) and Joseph Knierzinger (AT, nothing more - Association for the Promotion of Art, Irritation and Commons / Institute of Extratonal Composition) 

20:15 - 20:45<br>
Applications: Imagination and Extratonlity<br>
Chair: Christina Cochior (RO/NL, Wikipedia Bot Memorial Foundation) <br>
"The imagination of storing" - Thomas Walskaar (NO, Save as.media) - Presentation of an imaginary medium <br>
"how to build a drum" - Teun de Graaf (NL, fanfare voor vooruitstrevende muziek / woodstone kugelblitz)

20:45 - 21:15<br>
Extratonality and Labour: <br>
Chair: Lidia Pereira (PT/NL, PLU - pervasive labour union)<br>
"full range orchestra tonal system" - a. tangram poets (INT, no institution) <br>
"universal notation ideal - UNI revisted" - Niek Hilkmann (varia - center for everyday technology)

21:15 - 21:45<br>
the extra in the everyday surroundings:<br>
Chair: TBA <br>
"Voice over Opus with feedback" - JoaK (AT, nothing more - nothing more - Association for the Promotion of Art, Irritation and Commons, Institute of Extratonal Composition)<br>
"solitaire - eurorack edition"- Dennis de Bel (NL, varia - center of everyday technology / Willem de Kooning Academy / Design Academy Eindhoven) <br>
"Remote Fulfillment" - Moritz (NL, Random Creations) 

21:45 - 22:15<br>
extra and beyond:<br>
Chair: TBA<br>
"walking through objects - an intratonal approach"  - Michael J. Muik (AT, nothing more - Association for the Promotion of Art, Irritation and Commons) <br>
"Quasitonality - Towards a circulatory practice of disagreement" - oyo (BG/NL, LOFO, Willem de Kooning Academy) & mths (AT/NL, LOFO)

22:15 - 24:00<br>
Extra Presentations:<br>
DJ Pattex (varia - center for everyday technology)

http://extratonality.nothingmore.work/<br>
http://varia.zone/<br>
https://worm.org/production/solutions-and-problems-in-the-field-of-extratonality/<br>
https://www.facebook.com/events/167517747195086/