Title: It Is As If We Were Doing Work
Date: 2018-02-18
Category: event
Slug: itisasif
lang: en
event_start: 2018-03-10 18:45
event_duration: 4h
featured_image: /images/pluz.jpg

## It Is As If We Were Doing Work

A few months have passed since the 11th issue of the [Pervasive Labour Union zine](http://ilu.servus.at/) was launched, but the topics that were touched upon are yet to be digested. Focused on the "entreprecariat", the issue is an exploration of the multiple ways in which entrepreneurial ideas, models and approaches relate to the perception of precarity. To expand on the reflections that emerged from this informal publication, Varia is hosting some of its contributors. After an introduction of the Pervasive Labour Union zine project, there will be a conversation between Alina Lupu, Gui Machiavelli and Lídia Pereira moderated by Silvio Lorusso. The guests will discuss their contribution to the zine, as well as the relationship between their practice, emerging work standards, and the current state of education. Furthermore, there will be an open gaming session of two (or maybe more!) videogames which were reviewed in the zine, such as ["It Is As If You Were Doing Work"](https://www.pippinbarr.com/games/2017/07/03/it-is-as-if-you-were-doing-work.html) by Pippin Barr and ["The Founder"](http://thefounder.biz/) by Francis Tseng.

Food, drinks and entrance are available on donation.

Program:<br/>
18:45 Open Doors and Welcome
19:00 Introduction of the [Pervasive Labour union zine](<http://ilu.servus.at/>) by Lídia Pereira (PT/NL) and conversation with Alina Lupu (RO/NL), Gui Machiavelli (IT/BR/NL), moderated by Silvio Lorusso (IT/NL)
20:00 - 22:00 Open gaming session with "It Is As If You Were Doing Work" by Pippin Barr and "The Founder" by Francis Tseng

<http://varia.zone/>
<!-- link to event on fb >:( -->

---

**Alina Lupu** (<http://www.theofficeofalinalupu.com/>) is a conceptual artist and a food delivery bike courier, at times a project manager, a copywriter, a photographer, an all-around side-jobber. Recently she became an elections candidate for the position of municipal advisor for the city of Amsterdam.   

**Gui Machiavelli** (<https://guimachiavelli.com/>) is an okay programmer from Monday to Thursday and a lethargic writer from Friday to Sunday.

**Lídia Pereira** (<http://immateriallaborunion.net/>) is an independent designer, artist and researcher based in Rotterdam, NL. Current interests revolve around the political organisation of labour in corporate social networking platforms and working class identity within networked economies, presenting a focus on the power structures governing online and offline behaviour.

**Silvio Lorusso** (<http://networkcultures.org/entreprecariat/>) is a designer without qualities, an artist without a gallery and a writer without spell checker.
